Skip to main content
DELETE
/
api
/
v2
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resources
/
{resource_id}
/
owners
/
entitlements
/
{role_slug}
/
{app_entitlement_ref_app_id}
/
{app_entitlement_ref_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.appResourceOwnersV2.deleteEntitlementOwner({
    appId: "<id>",
    resourceTypeId: "<id>",
    resourceId: "<id>",
    roleSlug: "<value>",
    appEntitlementRefAppId: "<id>",
    appEntitlementRefId: "<id>",
  });

  console.log(result);
}

run();
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

resource_type_id
string
required

The resourceTypeId field.

resource_id
string
required

The resourceId field.

role_slug
string
required

The roleSlug field.

app_entitlement_ref_app_id
string
required

The appId field.

app_entitlement_ref_id
string
required

The id field.

Body

application/json

DeleteAppResourceEntitlementOwnerRequest is the request for deleting an entitlement ownership source on a resource.

appEntitlementRef
App Entitlement Ref · object

The AppEntitlementRef message.

Response

200 - application/json

DeleteAppResourceEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source on a resource.

DeleteAppResourceEntitlementOwnerResponse is the empty response for deleting an entitlement ownership source on a resource.